> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 购物搜索

```text theme={null}
https://www.google.com/search?q=pizza&tbm=shop
```

## 参数

<ParamField query="q" type="string" required>
  搜索查询参数。指定您要在 Google 上搜索的关键字或短语。
</ParamField>

<ParamField query="tbm" type="string">
  定义搜索类型。对于购物搜索，将 `tbm` 值设置为 `shop`。

  ```
  https://www.google.com/search?q=pizza&tbm=shop
  ```
</ParamField>

<RequestExample>
  ```shell cURL highlight={6} theme={null}
    curl -X POST https://api.brightdata.com/request \
    --header "Content-Type: application/json" \
    --header "Authorization: Bearer API_KEY" \
    --data '{
      "zone": "serp_api1",
      "url": "https://www.google.com/search?q=pizza&tbm=shop",
      "format": "raw"
    }'
  ```

  ```shell Native proxy highlight={4} theme={null}
  curl --proxy brd.superproxy.io:44445 \
    --proxy-user CUSTOMER_USERNAME:CUSTOMER_PASSWORD \
    --ssl-no-revoke \
    "https://www.google.com/search?q=pizza&tbm=shop"
  ```

  ```js Node.js highlight={10} theme={null}
  (async () => {
    const response = await fetch('https://api.brightdata.com/request', {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY'
      },
      body: JSON.stringify({
        zone: 'serp_api1',
        url: 'https://www.google.com/search?q=pizza&tbm=shop',
        format: 'raw'
      })
    });
    
    const data = await response.text();
    console.log(data);
  })();
  ```

  ```python Python highlight={11} theme={null}
  import requests

  # API 配置
  headers = {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer API_KEY',
  }

  payload = {
      'zone': 'serp_api1',
      'url': 'https://www.google.com/search?q=pizza&tbm=shop',
      'format': 'raw'
  }

  # 发送请求
  response = requests.post(
      'https://api.brightdata.com/request', 
      json=payload, 
      headers=headers
  )

  print(response.text)
  ```
</RequestExample>

<ResponseExample>
  ```json 200 highlight={9} theme={null}
  {
    "general": {
      "search_engine": "google",
      "query": "pizza",
      "language": "en",
      "location": "United States",
      "mobile": false,
      "basic_view": false,
      "search_type": "shopping",
      "page_title": "pizza - Google Shopping",
      "timestamp": "2026-02-24T20:34:04.313Z"
    },
    "input": {
      "original_url": "https://www.google.com/search?q=pizza&tbm=shop&brd_json=1",
      "request_id": "hl_xxxxxxxxxxxxxxx"
    },
    "navigation": [
      {
        "title": "Nearby",
        "href": "https://www.google.com/search?q=pizza+nearby&gl=US&hl=en&udm=28&shoprs=CAEYAyoFcGl6emEyDAgDEgZOZWFyYnkYAli7miFgAg&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAB6BAgXEAQ"
      },
      {
        "title": "On sale",
        "href": "https://www.google.com/search?q=pizza+sale&gl=US&hl=en&udm=28&shoprs=CAESBEoCGAEYBioFcGl6emEyEwgGEgdPbiBzYWxlGAIiBEoCGAFYu5ohYAI&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAF6BAgXEAU"
      },
      {
        "title": "Get it fast",
        "href": "https://www.google.com/search?q=pizza&gl=US&hl=en&udm=28&shoprs=CAESDZoBCgoIEAM4AUAFSAEYFCoFcGl6emEyJAgUEgtHZXQgaXQgZmFzdCINmgEKCggQAzgBQAVIASoEEAEYAWAC&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAJ6BAgXEAY"
      },
      {
        "title": "Small business",
        "href": "https://www.google.com/search?q=pizza&gl=US&hl=en&udm=28&shoprs=CAESAmoAGBYqBXBpenphMhwIFhIOU21hbGwgYnVzaW5lc3MiAmoAKgQQARgBYAI&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAN6BAgXEAc"
      },
      {
        "title": "Bread & Pastry Dough",
        "href": "https://www.google.com/search?q=bread+%26+pastry+dough+pizza&gl=US&hl=en&udm=28&shoprs=CAEYCSoFcGl6emEyGAgJEhRCcmVhZCAmIFBhc3RyeSBEb3VnaGAC&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAB6BAgXEAs"
      },
      {
        "title": "Pizza Sauce",
        "href": "https://www.google.com/search?q=pizza+sauce+&gl=US&hl=en&udm=28&shoprs=CAEYCSoFcGl6emEyDwgJEgtQaXp6YSBTYXVjZWAC&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAF6BAgXEAw"
      },
      {
        "title": "Cheese",
        "href": "https://www.google.com/search?q=cheese+pizza&gl=US&hl=en&udm=28&shoprs=CAEYCSoFcGl6emEyCggJEgZDaGVlc2VgAg&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAJ6BAgXEA0"
      },
      {
        "title": "Pizza Pans & Stones",
        "href": "https://www.google.com/search?q=pizza+pans+%26+stones+&gl=US&hl=en&udm=28&shoprs=CAEYCSoFcGl6emEyFwgJEhNQaXp6YSBQYW5zICYgU3RvbmVzYAI&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAN6BAgXEA4"
      },
      {
        "title": "Pizza Crust Mixes",
        "href": "https://www.google.com/search?q=pizza+crust+mixes+&gl=US&hl=en&udm=28&shoprs=CAEYCSoFcGl6emEyFQgJEhFQaXp6YSBDcnVzdCBNaXhlc2AC&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAR6BAgXEA8"
      },
      {
        "title": "4 and up",
        "href": "https://www.google.com/search?q=pizza&gl=US&hl=en&udm=28&shoprs=CAESBWIDCJADGB4qBXBpenphMhUIHhIINCBhbmQgdXAiBWIDCJADQARgAg&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAB6BAgXEBM"
      },
      {
        "title": "Chicken",
        "href": "https://www.google.com/search?q=chicken+pizza&gl=US&hl=en&udm=28&shoprs=CAEYASoFcGl6emEyGQgBEgdDaGlja2VuOgwImM-mAhCaz6YCMAJYu5ohYAI&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAB6BAgXEBg"
      },
      {
        "title": "Turkey",
        "href": "https://www.google.com/search?q=turkey+pizza&gl=US&hl=en&udm=28&shoprs=CAEYASoFcGl6emEyGAgBEgZUdXJrZXk6DAiYz6YCEJ_PpgIwAli7miFgAg&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAF6BAgXEBk"
      },
      {
        "title": "Fish",
        "href": "https://www.google.com/search?q=fish+pizza&gl=US&hl=en&udm=28&shoprs=CAEYASoFcGl6emEyFggBEgRGaXNoOgwImM-mAhCbz6YCMAJYu5ohYAI&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAJ6BAgXEBo"
      },
      {
        "title": "Vegetable Protein",
        "href": "https://www.google.com/search?q=vegetable+protein+pizza&gl=US&hl=en&udm=28&shoprs=CAEYASoFcGl6emEyIwgBEhFWZWdldGFibGUgUHJvdGVpbjoMCJjPpgIQoM-mAjACWLuaIWAC&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAN6BAgXEBs"
      },
      {
        "title": "Walmart",
        "href": "https://www.google.com/search?q=walmart+pizza&gl=US&hl=en&udm=28&shoprs=CAEYAioFcGl6emEyCwgCEgdXYWxtYXJ0WLuaIWAC&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAB6BAgXEB8"
      },
      {
        "title": "Target",
        "href": "https://www.google.com/search?q=target+pizza&gl=US&hl=en&udm=28&shoprs=CAEYAioFcGl6emEyCggCEgZUYXJnZXRYu5ohYAI&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAF6BAgXECA"
      },
      {
        "title": "Home Depot",
        "href": "https://www.google.com/search?q=home+depot+pizza&gl=US&hl=en&udm=28&shoprs=CAEYAioFcGl6emEyDggCEgpIb21lIERlcG90WLuaIWAC&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAJ6BAgXECE"
      },
      {
        "title": "Food Depot",
        "href": "https://www.google.com/search?q=food+depot+pizza&gl=US&hl=en&udm=28&shoprs=CAEYAioFcGl6emEyDggCEgpGb29kIERlcG90WLuaIWAC&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAN6BAgXECI"
      },
      {
        "title": "Under $5",
        "href": "https://www.google.com/search?q=pizza+under+$5&gl=US&hl=en&udm=28&shoprs=CAESDRILEQAAAADQElNBGAEYBSoFcGl6emEyIQgFEghVbmRlciAkNRgCIg0SCxEAAAAA0BJTQRgBKgIYAVi7miFgAg&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAB6BAgXECg"
      },
      {
        "title": "$5 - $9",
        "href": "https://www.google.com/search?q=pizza+between+$5+and+$9&gl=US&hl=en&udm=28&shoprs=CAESFhIUCQAAAADQElNBEQAAAACIKmFBGAEYBSoFcGl6emEyKQgFEgckNSAtICQ5GAIiFhIUCQAAAADQElNBEQAAAACIKmFBGAEqAhgBWLuaIWAC&sa=X&ved=2ahUKEwjF6IXp_PKSAxU6GLkGHan3NQgQ268JKAF6BAgXECk"
      },
      {
        "title": "$9 - $20",
        "href": "https://www.google.com/search?q=pizza+between+$9+and+$20&gl=US&hl=en&udm=28&shoprs=CAESFhIUCQAAAACIKmFBEQAAAADQEnNBGAEYBSoFcGl6emEyKggFEggkOSAtICQyMBgCIhYSFAkAAAAAiCphQREAAAAA0BJzQRgBKgIYAVi7miF

  ```
</ResponseExample>
